package com.jscape.inet.scp.events;

/**
 * SCP event listener.
 *
 * @author Alex Usun
 */
public interface ScpEventListener {

    /**
     * Informs listener about Scp connection.
     *
     * @param event event instance
     */
    void connected(ScpConnectedEvent event);

    /**
     * Informs listener about Scp disconnect.
     *
     * @param event event instance
     */
    void disconnected(ScpDisconnectedEvent event);

    /**
     * Informs listener about file download.
     *
     * @param event event instance
     */
    void download(ScpFileDownloadedEvent event);

    /**
     * Informs listener about file upload.
     *
     * @param event event instance
     */
    void upload(ScpFileUploadedEvent event);

    /**
     * Informs listener about transfer progress.
     *
     * @param event event instance
     */
    void progress(ScpTransferProgressEvent event);

}
